Package com.collibra.dgc.workflow.api.listener

# Class ActionMailSender

java.lang.Object
com.collibra.dgc.workflow.api.listener.ActionMailSender

All Implemented Interfaces:
  `Serializable`, `org.flowable.engine.delegate.TaskListener`, `org.flowable.task.service.delegate.BaseTaskListener`, `org.flowable.task.service.delegate.TaskListener`

public class ActionMailSender extends Object implements org.flowable.engine.delegate.TaskListener
This Mail sender will send workflow action emails for the task this `TaskListener` is configured for. Only simple tasks are possible without required form input except buttons.

Possible input fields are:

- template: the name of the template that should be used to generate the mail (OPTIONAL).
- section: the name of the section that should be used to generate the mail (OPTIONAL).
- grouped: send the action mail grouped or not, by default false.
- subject: the subject of the action mail to be send in case of non-grouped mail.
- executeIfTrue: `true` if the action mail should be send, `false` otherwise
- includeActivityStream: `true` if the activity stream should be included if set, `false` otherwise
- includeAttributes: `true` if the attributes should be included, `false` otherwise
- includeRelations: `true` if the relations should be included, `false` otherwise
- relationTypes: a CSV of relation types that need to be shown in the mail, if empty, all relation types corresponding to matching assignment groups will be displayed. (Used only if includeRelations is true)
- attributeTypes: a CSV of attribute types that need to be shown in the mail, if empty, all attribute types corresponding to matching assignment groups will be displayed. (Used only if includeAttributes is true)

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BODY_CONTENT_SEPARATOR`
  `static final String`
  `DEFAULT_GROUPED_TEMPLATE`
  Workflow email action mail default grouped template.
  `static final String`
  `DEFAULT_MAIL_BUTTON_KEY`
  Workflow email action mail default button.
  `static final String`
  `DEFAULT_MAIL_SUBJECT_KEY`
  Workflow email action mail default subject.
  `static final String`
  `DEFAULT_NON_GROUPED_TEMPLATE`
  Workflow email action mail default non grouped template.
  `static final String`
  `DEFAULT_SECTION`
  Workflow email action mail default section.
  `static final String`
  `TEMPLATE_VAR_ACTION_CONTENTS`
  Deprecated.
  This field will be removed in the future.
  `static final String`
  `WORKFLOW_ACTION_BODY_LINE`
  Workflow email action mail line telling user to provide a body to the task.
  `static final String`
  `WORKFLOW_ACTION_BODY_MANDATORY`
  `static final String`
  `WORKFLOW_ACTION_BODY_OPTIONAL`

  ### Fields inherited from interface org.flowable.task.service.delegate.BaseTaskListener

  `EVENTNAME_ALL_EVENTS, EVENTNAME_ASSIGNMENT, EVENTNAME_COMPLETE, EVENTNAME_CREATE, EVENTNAME_DELETE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ActionMailSender()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `notify(org.flowable.task.service.delegate.DelegateTask delegateTask)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BODY_CONTENT_SEPARATOR

    public static final String BODY_CONTENT_SEPARATOR
    See Also:
      - Constant Field Values

  - ### DEFAULT_GROUPED_TEMPLATE

    public static final String DEFAULT_GROUPED_TEMPLATE
    Workflow email action mail default grouped template.
    See Also:
      - Constant Field Values

  - ### DEFAULT_NON_GROUPED_TEMPLATE

    public static final String DEFAULT_NON_GROUPED_TEMPLATE
    Workflow email action mail default non grouped template.
    See Also:
      - Constant Field Values

  - ### DEFAULT_SECTION

    public static final String DEFAULT_SECTION
    Workflow email action mail default section.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MAIL_BUTTON_KEY

    public static final String DEFAULT_MAIL_BUTTON_KEY
    Workflow email action mail default button.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MAIL_SUBJECT_KEY

    public static final String DEFAULT_MAIL_SUBJECT_KEY
    Workflow email action mail default subject.
    See Also:
      - Constant Field Values

  - ### WORKFLOW_ACTION_BODY_LINE

    public static final String WORKFLOW_ACTION_BODY_LINE
    Workflow email action mail line telling user to provide a body to the task.
    See Also:
      - Constant Field Values

  - ### WORKFLOW_ACTION_BODY_OPTIONAL

    public static final String WORKFLOW_ACTION_BODY_OPTIONAL
    See Also:
      - Constant Field Values

  - ### WORKFLOW_ACTION_BODY_MANDATORY

    public static final String WORKFLOW_ACTION_BODY_MANDATORY
    See Also:
      - Constant Field Values

  - ### TEMPLATE_VAR_ACTION_CONTENTS

    @Deprecated public static final String TEMPLATE_VAR_ACTION_CONTENTS
    Deprecated.
    This field will be removed in the future.
    Template variable for holding the action links. Not used in velocity template model anymore.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ActionMailSender

    public ActionMailSender()

- ## Method Details

  - ### notify

    public void notify(org.flowable.task.service.delegate.DelegateTask delegateTask)
    Specified by:
      `notify` in interface `org.flowable.task.service.delegate.TaskListener`